LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XNumberingTypeInfo Interface Referencepublished

provides access to the numbering types that are supported by a component. More...

`import"XNumberingTypeInfo.idl";`

Inheritance diagram for XNumberingTypeInfo:

## Public Member Functions
sequence< short > | getSupportedNumberingTypes ()
| returns the numbering type values that are supported by the component. More...
short | getNumberingType ([in]string NumberingIdentifier)
| returns the corresponding numbering type to an identifier. More...
boolean | hasNumberingType ([in]string NumberingIdentifier)
| determines whether an identifier is supported. More...
string | getNumberingIdentifier ([in]short NumberingType)
| returns the corresponding identifier to a numbering type. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the numbering types that are supported by a component.

To be able to store unknown numbering types in a file format the numbering types correspond to an identifier.

See also
  com::sun::star::text::NumberingRules
  com::sun::star::style::NumberingType

Version
  1.0

## Member Function Documentation

## ◆ getNumberingIdentifier()

string getNumberingIdentifier | ( | [in] short | NumberingType | ) |

returns the corresponding identifier to a numbering type.

## ◆ getNumberingType()

short getNumberingType | ( | [in] string | NumberingIdentifier | ) |

returns the corresponding numbering type to an identifier.

## ◆ getSupportedNumberingTypes()

sequence< short > getSupportedNumberingTypes | ( |  | ) |

returns the numbering type values that are supported by the component.

See also

## ◆ hasNumberingType()

boolean hasNumberingType | ( | [in] string | NumberingIdentifier | ) |

determines whether an identifier is supported.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XNumberingTypeInfo.idl